<?php
/**
 * Template part for displaying single posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Mystery Themes
 * @subpackage FaceBlog
 * @since 1.0.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-content-wrapper">
		<div class="entry-content">
			<?php if( has_post_thumbnail() ) { ?>
	            <div class="single-post-image">
	                <figure><?php the_post_thumbnail( 'large' ); ?></figure>
	                <?php faceblog_posted_date(); ?>
	            </div>
	        <?php } ?>
            
            <div class="post-meta-content-wrapper">
                <div class="post-content-wrapper">
			        <header class="entry-header">
			        	<h1><?php the_title(); ?></h1>
					</header><!-- .entry-header -->
			        <div class="single-post-content">
				        <?php the_content(); ?>
					</div>
				</div><!-- .post-content-wrapper -->
	            <div class="post-meta-wrapper">
	            	<?php
	            		do_action( 'faceblog_author_info' );
	            		do_action( 'faceblog_post_comments' );
	            		do_action( 'faceblog_post_categories' );
	            	?>
	            </div><!-- .post-meta-wrapper -->
            </div><!-- .post-meta-content-wrapper -->

			<?php
				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'faceblog' ),
					'after'  => '</div>',
				) );
			?>			
			<div class="entry-meta">
				<?php faceblog_entry_footer(); ?>
			</div><!-- .entry-meta -->
		</div><!-- .entry-content -->
	</div><!-- .entry-content-wrapper -->
</article><!-- #post-## -->
